Linux and luxconsole

Discussion and help for Compilation problems and platform portability.

Moderators: Dade, coordinators

Linux and luxconsole

Postby StfnoPad » Mon Aug 24, 2009 8:50 am

Hi,

Im trying to run luxconsole on some of the machines here (fedora dist I think) but i get this error:

-bash-3.2$ luxconsole
luxconsole: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by luxconsole)
luxconsole: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by luxconsole)
>



I checked the files in each directory and they do exists, when I use "ls filename-l" they output is something like this:
lrwxrwxrwx 1 root root 11 2008-03-11 11:54 libstdc++.so.6 -> libstdc++.so.6.0.8
lrwxrwxrwx 1 root root 11 2008-03-11 11:00 libc.so.6 -> libc-2.6.so

Any idea what is wrong? Im clueless about linux.

Many Thanks. :D
StfnoPad
 
Posts: 3
Joined: Mon Aug 24, 2009 8:42 am

Re: Linux and luxconsole

Postby tomb » Tue Aug 25, 2009 3:08 am

StfnoPad wrote:Hi,

Im trying to run luxconsole on some of the machines here (fedora dist I think) but i get this error:

-bash-3.2$ luxconsole
luxconsole: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by luxconsole)
luxconsole: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by luxconsole)
>



I checked the files in each directory and they do exists, when I use "ls filename-l" they output is something like this:
lrwxrwxrwx 1 root root 11 2008-03-11 11:54 libstdc++.so.6 -> libstdc++.so.6.0.8
lrwxrwxrwx 1 root root 11 2008-03-11 11:00 libc.so.6 -> libc-2.6.so

Any idea what is wrong? Im clueless about linux.


What version of Fedora is this? Note that "libc-2.6.so" is not the same as "GLIBC_2.7" which ldd is complaining about - also libstdc++ is of the wrong version (should be based on GLIBCXX 3.4.9, see the error message).

I've tried luxrender/luxconsole on a lot of fairly recent linux distros without any problems, so I suspect your Fedora distro might be quite old. I suggest you upgrade to a more
recent distro version, see http://fedoraproject.org/ for instructions. If you're not "married" to Redhat style distros, I've had good experiences with http://www.ubuntu.com/ myself.

T
User avatar
tomb
Developer
 
Posts: 2677
Joined: Thu Oct 11, 2007 4:23 pm
Location: Oslo, Norway

Re: Linux and luxconsole

Postby StfnoPad » Thu Aug 27, 2009 4:50 am

Yes, the problem is that my dist is too old (fedora 7).
Unfortunatelly I can't update it because I dont have admin rights.
And even worst I can't compile luxconsole because I need to update the boost libraries as the current distribution does not have the ASIO library.

Anyway, many thanks for your help.

If anyone has a compiled Fedore 7 Version please let me know - thanks.



Ps. I'm running lux console in just two i7 machines at the moment and its great - well done!
StfnoPad
 
Posts: 3
Joined: Mon Aug 24, 2009 8:42 am

Re: Linux and luxconsole

Postby jeanphi » Thu Aug 27, 2009 6:31 am

Hi,

You could build the boost 1.39 library yourself or get the asio files from an older version of lux (however it might not be compatible with boost 1.39 asio).
Regarding building only luxconsole, the CMake configuration file checks for wxWidgets even when not building luxrender. You could comment out the wxWidget stuff in CMakeLists.txt if you don't intend to use it.

Jeanphi
jeanphi
Developer
 
Posts: 7943
Joined: Mon Jan 14, 2008 7:21 am


Return to Compilation & Portability

Who is online

Users browsing this forum: No registered users and 1 guest